# Class Area

java.lang.Object
org.daypilot.data.Area

public class Area extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Area()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Area`
  `bottom(int bottom)`
  `Area`
  `bubble()`
  `Area`
  `contextMenu(String contextMenu)`
  `Area`
  `cssClass(String className)`
  `Area`
  `height(int height)`
  `Area`
  `html(String html)`
  `Area`
  `id(String id)`
  `Area`
  `javaScript(String javaScript)`
  `Area`
  `left(int left)`
  `Area`
  `move()`
  `Area`
  `resizeEnd()`
  `Area`
  `resizeStart()`
  `Area`
  `right(int right)`
  `Area`
  `style(String style)`
  `Area`
  `symbol(String symbol)`
  `Area`
  `top(int top)`
  `Area`
  `visibility(AreaVisibility v)`
  `Area`
  `visible()`
  `Area`
  `width(int width)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Area

    public Area()

- ## Method Details

  - ### width

    public Area width(int width)

  - ### height

    public Area height(int height)

  - ### left

    public Area left(int left)

  - ### right

    public Area right(int right)

  - ### top

    public Area top(int top)

  - ### bottom

    public Area bottom(int bottom)

  - ### cssClass

    public Area cssClass(String className)

  - ### id

    public Area id(String id)

  - ### contextMenu

    public Area contextMenu(String contextMenu)

  - ### visibility

    public Area visibility(AreaVisibility v)

  - ### visible

    public Area visible()

  - ### bubble

    public Area bubble()

  - ### javaScript

    public Area javaScript(String javaScript)

  - ### html

    public Area html(String html)

  - ### resizeEnd

    public Area resizeEnd()

  - ### resizeStart

    public Area resizeStart()

  - ### style

    public Area style(String style)

  - ### move

    public Area move()

  - ### symbol

    public Area symbol(String symbol)